#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"



TEST_CASE("distinct positive numbers")
{
    double minp = 0;
    double maxp = 0;
    std::vector<double>numbers{1,2,3,4,5};
    CHECK(numbers.size() !=0 );
    CHECK(numbers.size() !=1 );
    find_minmax(numbers, minp, maxp);
    CHECK(minp == 1);
    CHECK(maxp == 5);
    CHECK(minp!=maxp);
}

TEST_CASE("distinct positive numbers")
{
    double minp = 0;
    double maxp = 0;
    std::vector<double>numbers{3,4,4,4,4};
    find_minmax(numbers, minp, maxp);
    CHECK(minp == 1);
    CHECK(maxp == 5);
}

TEST_CASE("emptyA")
{
    std::vector<double>numbers{1,2,3,4};
    double min = 0;
    double max = 0;
    find_minmax(numbers, min, max);
    CHECK(numbers.size() !=0 );
}

TEST_CASE("min")
{
    std::vector<double>numbers{1,2,3,4};
    double min = 0;
    double max = 0;
    find_minmax(numbers, min, max);
    CHECK(min == 1);
}

TEST_CASE("max")
{
    std::vector<double>numbers{1,2,3,4};
    double min = 0;
    double max = 0;
    find_minmax(numbers, min, max);
    CHECK(max == 4);
}


TEST_CASE("1A")
{
    std::vector<double>numbers{1,2,3,4};
    double min = 0;
    double max = 0;
    find_minmax(numbers, min, max);
    CHECK(numbers.size() !=1 );
}


TEST_CASE("same")
{
    std::vector<double>numbers{1,1,1,1};
    std::vector<double>B{1,1,1,1};
    double min = 0;
    double max = 0;
    find_minmax(numbers, min, max);
    CHECK(numbers == B);
}

TEST_CASE("emt")
{
    std::vector<double>numbers{};
    double minp = 0;
    double maxp = 0;
    CHECK(find_minmax(numbers,minp,maxp)==false);
}


